Sidef::Types::Number::Mod(3)

NAME
Sidef::Types::Number::Mod

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Mod(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Number::Number

METHODS

  !
    a ! b

Returns the

Aliases: factorial

  !=
    a != b

Returns the

Aliases: ne

  &
    a & b

Returns the

Aliases: and

  *
    a * b

Returns the

Aliases: mul

  **
    a ** b

Returns the

Aliases: pow

  +
    a + b

Returns the

Aliases: add

  ++
    a ++ b

Returns the

Aliases: inc

  -
    a - b

Returns the

Aliases: sub

  --
    a -- b

Returns the

Aliases: dec

  /
    a / b

Returns the

Aliases: ÷, div

  <
    a < b

Returns the

Aliases: lt

  <<
    a << b

Returns the

Aliases: lsft, shift_left

  <=>
    a <=> b

Returns the

Aliases: cmp

  ==
    a == b

Returns the

Aliases: eq

  >
    a > b

Returns the

Aliases: gt

  >>
    a >> b

Returns the

Aliases: rsft, shift_right

  ^
    a ^ b

Returns the

Aliases: xor

  |
    a | b

Returns the

Aliases: or

  ≤
    a ≤ b

Returns the

Aliases: <=, le

  ≥
    a ≥ b

Returns the

Aliases: >=, ge

  chinese
    Mod.chinese()

Returns the

  fib
    Mod.fib()

Returns the

Aliases: fibonacci

  inv
    Mod.inv()

Returns the

  lucas
    Mod.lucas()

Returns the

  lucasu
    Mod.lucasu()

Returns the

Aliases: lucasU

  lucasv
    Mod.lucasv()

Returns the

Aliases: lucasV

  modulus
    Mod.modulus()

Returns the

  neg
    Mod.neg()

Returns the

  new
    Mod.new()

Returns the

Aliases: call

  sqrt
    Mod.sqrt()

Returns the

  to_n
    Mod.to_n()

Returns the

Aliases: lift

  to_s
    Mod.to_s()

Returns the

Aliases: dump

  znorder
    Mod.znorder()

Returns the